package com.helix.tasks.model.impl;

import com.helix.tasks.model.Events;
import com.helix.tasks.service.EventsLocalServiceUtil;

import com.liferay.portal.kernel.exception.SystemException;

/**
 * The extended model base implementation for the Events service. Represents a row in the &quot;Helix_Events&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This class exists only as a container for the default extended model level methods generated by ServiceBuilder. Helper methods and all application logic should be put in {@link EventsImpl}.
 * </p>
 *
 * @author Brian Wing Shun Chan
 * @see EventsImpl
 * @see com.helix.tasks.model.Events
 * @generated
 */
public abstract class EventsBaseImpl extends EventsModelImpl implements Events {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this class directly. All methods that expect a events model instance should use the {@link Events} interface instead.
     */
    @Override
    public void persist() throws SystemException {
        if (this.isNew()) {
            EventsLocalServiceUtil.addEvents(this);
        } else {
            EventsLocalServiceUtil.updateEvents(this);
        }
    }
}
